#include <complex.h>
#include <stdlib.h>

const double xmin = -2.0, xmax = 1.0, ymin = -1.0, ymax = 1.0;

void cmandel(int *esc,int ny,int nx,int maxi) {  // int *col points to 1-D array,
                                                 // but we'll do our own indexing
    double x,y,dx,dy;
    complex double z,c;				// this C99 extension requires compiling with --std=c99

    dx = (xmax - xmin) / (nx - 1);	// define increments for the grid
    dy = (ymax - ymin) / (ny - 1);
    
    for(int i=0;i<nx;i++) {         // loop from 0 to nx-1, included
        x = xmin + i * dx;			// compute x
        
        for(int j=0;j<ny;j++) {
            y = ymin + j * dy;		// compute y
            c = x + I * y;			// sum them up into z
            z = 0.0;
            
            esc[j*nx + i] = maxi;   // default case -- here we're accessing col[j,i]
            
            for(int it=0;it<maxi;it++) {
                z = z*z + c;		// Mandelbrot iteration

                if(abs(z) > 2.0) {
                    esc[j*nx + i] = it;
                    break;
                }
            }
        }
    }
    
    return;
}
