subroutine fmand(esc,ny,nx,maxi)
    implicit none

    integer, intent(in)                                :: ny,nx,maxi
    integer*4, dimension(0:ny-1,0:nx-1), intent(inout) :: esc

    real*8    :: xmin=-2., xmax=1., ymin=-1., ymax=1.

    real*8    :: x,y,dx,dy
    complex*8 :: z,c
    integer   :: i,j,it

    dx   = (xmax-xmin)/(nx-1)
    dy   = (ymax-ymin)/(ny-1)

    do i=0,nx-1
        x = xmin+i*dx
        do j = 0,ny-1
            y = ymin+j*dy
            c = cmplx(x,y)
            z = 0.
            esc(j,i) = maxi

            do it=0,maxi-1
                z = z**2 + c
                
                if (abs(z)>2.) then
                    esc(j,i) = it
                    exit
                end if
            end do
        end do
    end do

    return
end subroutine fmand
